Method: projects.locations.instances.keyRings.keys.disable
Stay organized with collections
Save and categorize content based on your preferences.
Disables a Key so it can no longer sign. Keys cannot be deleted; this is the only way to retire one. Disabling a disabled Key succeeds and returns the Key unchanged.
HTTP request
POST https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/keyRings/*/keys/*}:disable
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
name |
string
Required. The name of the Key to disable. Format: projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyRing}/keys/{key} It takes the form projects/{project}/locations/{location}/instances/{instance}/keyRings/{keyring}/keys/{key}.
|
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Key.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-10-27 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-10-27 UTC."],[],[]]